function SynapseAnalysis(input, output, filename) {
	run("Bio-Formats", "open=[" + input + filename +"] autoscale color_mode=Colorized rois_import=[ROI manager] view=Hyperstack stack_order=XYCZT");
	run("Z Project...", "projection=[Max Intensity]");
	run("Make Composite");
	saveAs("Tiff", output + "1_MAXINT_COMP " + filename);
	imageTitle=getTitle();
	setBatchMode(false);
	waitForUser("Select Region of Interest before clicking OK");
	run("ROI Manager...");
	roiManager("Add");
	setBatchMode(true);
	run("Split Channels");
	selectWindow("C4-" + imageTitle);
	close();
	selectWindow("C3-" + imageTitle);
	close();
	selectWindow("C1-" + imageTitle);
	close();
	selectWindow("C2-" + imageTitle);
	saveAs("Tiff", output + "2_GREEN " + filename);
	roiManager("Select", 0);
	run("Clear Outside");
	saveAs("Tiff", output + "3_CROPPED_ROI " + filename);
	run("Despeckle");
	run("Subtract Background...", "rolling=10");
	setAutoThreshold("MaxEntropy dark");
	//run("Threshold...");
	call("ij.plugin.frame.ThresholdAdjuster.setMode", "B&W");
	run("Convert to Mask");
	run("Convert to Mask");
	run("Watershed");
	saveAs("Tiff", output + "4_IMG_CORRECTION " + filename);
	run("Analyze Particles...", "size=10-200 pixel show=Outlines display clear include summarize add");
	saveAs("Results", output + filename + ".csv");
	roiManager("Save", output + filename + " ROI.zip");
	roiManager("Delete");
	saveAs("Tiff", output + "5_FINAL " + filename);
	close();
	}

input = "enter input directory, including only forward slashes in the pathname, enclose in straight quotation marks/";
output = "enter output directory, including only forward slashes in the pathname, enclose in straight quotation marks/";

setBatchMode(true); 
list = getFileList(input);
for (i = 0; i < list.length; i++)
        SynapseAnalysis(input, output, list[i]);
setBatchMode(false);
